<?php

// GET SAMPLE WORDS
$words = file_get_contents('words.txt');
$wordsArr = explode(',', $words);


// GET MASK & POS
$mask = @$_REQUEST["mask"];
$pos = @$_REQUEST["pos"];

if (!is_numeric($pos))
    $pos = 0;

// TYPE (XML/JSON)
$format_type = @$_REQUEST["type"];

switch ($format_type) {

    // LOAD JSON
    // =========================================================================
    case 'JSON':
        header('Content-Type: application/json');
        $arr = array();

        foreach ($wordsArr as $val) {

            if (strpos($val, $mask) !== false) {

                $arr['options'][] = array(
                    "value" => rand(1, 99999),
                    "text" => array(
                        "word" => $val,
                        "random_number" => rand(100, 999)
                    )
                );
            }
        }

        echo json_encode($arr);
        break;

    // LOAD XML
    // =========================================================================
    case 'XML':
        header("Content-type: text/xml");

        $xml = '<?xml version="1.0" encoding="UTF-8"?>' .
                '<complete>';

        foreach ($wordsArr as $val) {

            if (strpos($val, $mask) !== false) {
                $xml .= '<option value="' . rand(1, 99999) . '">' .
                        '<text>' .
                        '<word>' . $val . '</word>' .
                        '<random_number>' . rand(100, 999) . '</random_number>' .
                        '</text>' .
                        '</option>';
            }
        }

        $xml .= '</complete>';

        echo($xml);

        break;
}
